Bug 1556539 - whatsup: FTBFS: No matching package to install: 'opensm-devel'
Summary: whatsup: FTBFS: No matching package to install: 'opensm-devel'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: whatsup
Version: 28
Hardware: armv7hl
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1606672 (view as bug list)
Depends On: 1484155
Blocks: F28FTBFS F29FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-03-15 00:05 UTC by Fedora Release Engineering
Modified: 2019-05-14 03:02 UTC (History)
4 users (show)

Fixed In Version: whatsup-1.14-27.fc31 whatsup-1.14-26.fc30 whatsup-1.14-23.fc28 whatsup-1.14-25.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 00:58:49 UTC
Type: ---


Attachments (Terms of Use)

Description Fedora Release Engineering 2018-03-15 00:05:23 UTC
Your package whatsup failed to build from source in current F28.

https://koji.fedoraproject.org/koji/taskinfo?taskID=24902195

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

Comment 1 Petr Pisar 2018-07-03 12:22:13 UTC
From root.log on armv7hl:

DEBUG util.py:439:  No matching package to install: 'opensm-devel'

This is because opensm is excluded from %{arm} platforms (bug #1484155).

Comment 2 Zbigniew Jędrzejewski-Szmek 2018-07-09 04:14:38 UTC
Dear Maintainer,

your package has not been built successfully in F28. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to acknowledge this. Following the latest policy for such packages [2], your package will be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://fedoraproject.org/wiki/Fails_to_build_from_source#Package_Removal_for_Long-standing_FTBFS_bugs

Comment 3 Zbigniew Jędrzejewski-Szmek 2018-07-09 04:29:58 UTC
Dear Maintainer,

your package has not been built successfully in F28. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://fedoraproject.org/wiki/Fails_to_build_from_source#Package_Removal_for_Long-standing_FTBFS_bugs

Comment 4 Petr Pisar 2019-01-02 13:08:49 UTC
*** Bug 1606672 has been marked as a duplicate of this bug. ***

Comment 5 Ben Cotton 2019-05-02 20:05:02 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Petr Pisar 2019-05-03 09:34:58 UTC
I will exclude the IniniBand support on 32-bit ARMs.

Comment 7 Fedora Update System 2019-05-03 10:20:39 UTC
whatsup-1.14-26.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-090e52bdb3

Comment 8 Fedora Update System 2019-05-03 10:20:50 UTC
whatsup-1.14-25.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-bcebaf2db1

Comment 9 Fedora Update System 2019-05-03 10:21:03 UTC
whatsup-1.14-23.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-50e6d6c351

Comment 10 Fedora Update System 2019-05-04 01:12:10 UTC
whatsup-1.14-23.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-50e6d6c351

Comment 11 Fedora Update System 2019-05-04 01:57:38 UTC
whatsup-1.14-26.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-090e52bdb3

Comment 12 Fedora Update System 2019-05-04 02:58:19 UTC
whatsup-1.14-25.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-bcebaf2db1

Comment 13 Fedora Update System 2019-05-14 00:58:49 UTC
whatsup-1.14-26.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2019-05-14 01:06:03 UTC
whatsup-1.14-23.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-05-14 03:02:30 UTC
whatsup-1.14-25.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.